| Home | Libraries | People | FAQ | More

## Function template all_of

boost::compute::all_of

## Synopsis

    // In header: <boost/compute/algorithm/all_of.hpp>

    template<typename InputIterator, typename UnaryPredicate>
      bool all_of(InputIterator first, InputIterator last,
                  UnaryPredicate predicate,
                  command_queue & queue = system::default_queue());

## Description

Returns `true` if `predicate` returns `true` for all of the elements in the range [`first`, `last`).

Space complexity: \Omega(1)

See Also: any_of(), none_of()